Bouncy Castle Cryptography Library 1.45

## Package org.bouncycastle.tsp

Classes for dealing Time Stamp Protocol (TSP) - RFC 3161.

See:
Description

Interface Summary
TSPAlgorithms: Recognised hash algorithms for the time stamp protocol.

Class Summary
GenTimeAccuracy
TimeStampRequest: Base class for an RFC 3161 Time Stamp Request.
TimeStampRequestGenerator: Generator for RFC 3161 Time Stamp Request objects.
TimeStampResponse: Base class for an RFC 3161 Time Stamp Response object.
TimeStampResponseGenerator: Generator for RFC 3161 Time Stamp Responses.
TimeStampToken
TimeStampTokenGenerator
TimeStampTokenInfo
TSPUtil

Exception Summary
TSPException
TSPValidationException: Exception thrown if a TSP request or response fails to validate.

## Package org.bouncycastle.tsp Description

Classes for dealing Time Stamp Protocol (TSP) - RFC 3161.

Bouncy Castle Cryptography Library 1.45